Welcome to the New BigPanda API Documentation
Bearer.Authorization: Bearer [YOUR_ORG_TOKEN]🚧 Incorrect URL in Builder This endpoint is accessed at the https://integrations.bigpanda.io url, not https://api.bigpanda.io
curl --location 'https://integrations.bigpanda.io/configurations/alerts/emailparser/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"config": {
"email_format": "plain_text",
"allow_list": [
"*@example.com"
],
"status": {
"default_to": "critical",
"source": [
"@alert.status",
"@alert.labels.severity"
],
"status_map": {
"critical": [
"page",
"critical"
],
"warning": [
"warn",
"warning"
],
"acknowledged": [
"acknowledged"
],
"ok": [
"resolved"
]
}
},
"primary_property": {
"name": "host",
"source": "body",
"extraction": "host is (.*)",
"default_to": "general issue"
},
"secondary_property": {
"name": "region",
"source": "body",
"extraction": "region (.*)",
"default_to": "us-west-1"
},
"additional_attributes": [
{
"name": "region",
"source": "body",
"extraction": "region: (.*)",
"default_to": "us-west-2"
}
]
},
"sample_payload": "{ \"sample_payload\": {\n \"alerts\": [\n {\n \"generatorURL\": \"https://some-url.io\",\n \"fingerprint\": \"123456789\",\n \"annotations\": {\n \"description\": \"This alert is used to check the CPU utilization of this non-existent server\",\n \"runbook_url\": \"https://runbook.io/cpu-check\"\n },\n \"startsAt\": \"2022-07-05T19:59:25.661Z\",\n \"endsAt\": \"0001-01-01T00:00:00Z\",\n \"status\": \"firing\",\n \"labels\": {\n \"severity\": \"page\",\n \"instance\": \"bigpanda-server\",\n \"alertname\": \"BigPanda Test\",\n \"team\": \"metrics\",\n \"env\": \"test\",\n \"job\": \"CPU Check\",\n \"locale\": \"ca\",\n \"timestamp\": \"1.657051103137505e+09\"\n }\n }\n ],\n \"commonLabels\": {\n \"instance\": \"bigpanda-server\",\n \"alertname\": \"BigPanda Test\",\n \"team\": \"metrics\",\n \"env\": \"test\",\n \"job\": \"CPU Check\",\n \"locale\": \"ca\",\n \"timestamp\": \"1.657051103137505e+09\"\n },\n \"externalURL\": \"https://external-url.io\",\n \"groupLabels\": {\n \"instance\": \"bigpanda-server\",\n \"alertname\": \"BigPanda Test\",\n \"team\": \"metrics\",\n \"env\": \"test\",\n \"job\": \"CPU Check\",\n \"locale\": \"ca\",\n \"timestamp\": \"1.657051103137505e+09\"\n },\n \"receiver\": \"bigpanda\",\n \"version\": \"4\",\n \"commonAnnotations\": {\n \"description\": \"This alert is used to check the CPU utilization of this non-existent server\",\n \"runbook_url\": \"https://runbook.io/cpu-check\"\n },\n \"status\": \"firing\"\n }\n"
}'{
"config": {
"email_format": "plain_text",
"allow_list": [
"*@example.com"
],
"status": {
"default_to": "critical",
"source": [
"@alert.status",
"@alert.labels.severity"
],
"status_map": {
"critical": [
"page",
"critical"
],
"warning": [
"warn",
"warning"
],
"acknowledged": [
"acknowledged"
],
"ok": [
"resolved"
]
}
},
"primary_property": {
"name": "host",
"source": "body",
"extraction": "host is (.*)",
"default_to": "general issue"
},
"secondary_property": {
"name": "region",
"source": "body",
"extraction": "region (.*)",
"default_to": "us-west-1"
},
"additional_attributes": [
{
"name": "region",
"source": "body",
"extraction": "region: (.*)",
"default_to": "us-west-2"
}
]
},
"sample_payload": "{ \"sample_payload\": {\n \"alerts\": [\n {\n \"generatorURL\": \"https://some-url.io\",\n \"fingerprint\": \"123456789\",\n \"annotations\": {\n \"description\": \"This alert is used to check the CPU utilization of this non-existent server\",\n \"runbook_url\": \"https://runbook.io/cpu-check\"\n },\n \"startsAt\": \"2022-07-05T19:59:25.661Z\",\n \"endsAt\": \"0001-01-01T00:00:00Z\",\n \"status\": \"firing\",\n \"labels\": {\n \"severity\": \"page\",\n \"instance\": \"bigpanda-server\",\n \"alertname\": \"BigPanda Test\",\n \"team\": \"metrics\",\n \"env\": \"test\",\n \"job\": \"CPU Check\",\n \"locale\": \"ca\",\n \"timestamp\": \"1.657051103137505e+09\"\n }\n }\n ],\n \"commonLabels\": {\n \"instance\": \"bigpanda-server\",\n \"alertname\": \"BigPanda Test\",\n \"team\": \"metrics\",\n \"env\": \"test\",\n \"job\": \"CPU Check\",\n \"locale\": \"ca\",\n \"timestamp\": \"1.657051103137505e+09\"\n },\n \"externalURL\": \"https://external-url.io\",\n \"groupLabels\": {\n \"instance\": \"bigpanda-server\",\n \"alertname\": \"BigPanda Test\",\n \"team\": \"metrics\",\n \"env\": \"test\",\n \"job\": \"CPU Check\",\n \"locale\": \"ca\",\n \"timestamp\": \"1.657051103137505e+09\"\n },\n \"receiver\": \"bigpanda\",\n \"version\": \"4\",\n \"commonAnnotations\": {\n \"description\": \"This alert is used to check the CPU utilization of this non-existent server\",\n \"runbook_url\": \"https://runbook.io/cpu-check\"\n },\n \"status\": \"firing\"\n }\n"
}